import 'react';
import 'prop-types';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css = "/* add css styles here (optional) */\n\n.styles_test__32Qsm {\n  display: inline-block;\n  margin: 2em auto;\n  border: 2px solid #000;\n  font-size: 2em;\n}\n";
styleInject(css);

function RNFormator(props) {

  return Convert(props);
}

var Convert = function Convert(number) {
  //compose response
  var response = {
    original: number,
    result: number,
    short: number,
    easy: number
  };
  if (Math.abs(Number(number)) >= 1.0e+15) {
    response.short = Math.abs(Number(number)) / 1.0e+15 + " Q";
    response.result = Math.abs(Number(number)) / 1.0e+15 + " Quadrillion";
    response.easy = parseInt(Math.abs(Number(number)) / 1.0e+15) + " Q";
  } else if (Math.abs(Number(number)) >= 1.0e+12) {
    response.short = Math.abs(Number(number)) / 1.0e+12 + " T";
    response.result = Math.abs(Number(number)) / 1.0e+12 + " Trillion";
    response.easy = parseInt(Math.abs(Number(number)) / 1.0e+12) + " T";
  } else if (Math.abs(Number(number)) >= 1.0e+9) {
    response.short = Math.abs(Number(number)) / 1.0e+9 + " B";
    response.result = Math.abs(Number(number)) / 1.0e+9 + " Billion";
    response.easy = parseInt(Math.abs(Number(number)) / 1.0e+9) + " B";
  } else if (Math.abs(Number(number)) >= 1.0e+6) {
    response.short = Math.abs(Number(number)) / 1.0e+6 + " M";
    response.result = Math.abs(Number(number)) / 1.0e+6 + " Million";
    response.easy = parseInt(Math.abs(Number(number)) / 1.0e+6) + " M";
  } else if (Math.abs(Number(number)) >= 1.0e+3) {
    response.short = Math.abs(Number(number)) / 1.0e+3 + " K";
    response.result = Math.abs(Number(number)) / 1.0e+3 + " Thousand";
    response.easy = parseInt(Math.abs(Number(number)) / 1.0e+3) + " K";
  } else {
    response.short = Math.abs(Number(number));
  }

  return response;
};

export default RNFormator;
//# sourceMappingURL=index.es.js.map
